Unable to open certain openclipart files

Bug #1416676 reported by Alex Valavanis on 2015-01-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Inkscape
Undecided
Unassigned
inkscape (Debian)
New
Unknown

Bug Description

From: Markus Sauermann <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: inkscape: Unable to open certain openclipart files
Date: Sat, 29 Dec 2012 20:06:43 +0100
Package: inkscape
Version: 0.48.3.1-1.2
Severity: normal

Dear Maintainer,

I am trying to access openlipart.org cliparts via
Menu->File->"Import from Open Clip Art Library".

Searching for "Person" and importing "Young Man" works perfectly
well.
However when I want to import "Business Person", the preview is
visible, but the import fails with a GUI messsage

"Failed to load the requested file
/tmp/ocal-BEFMPW-msewtz_Business_Person.svg"

and on the console the following error appears:
--- BEGIN ---
/tmp/ocal-BEFMPW-msewtz_Business_Person.svg:7: namespace warning : xmlns: URI &ns_svg; is not absolute
<svg version="1.1" id="Layer_1" xmlns="&ns_svg;" xmlns:xlink="&ns_xlink;" width
                                                 ^
--- END ---

It would be great, if all cliparts would be usable.

Regards
Markus

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages inkscape depends on:
ii gconf-service 3.2.5-1+build1
ii libaspell15 0.60.7~20110707-1
ii libatk1.0-0 2.4.0-2
ii libatkmm-1.6-1 2.22.6-1
ii libc6 2.13-37
ii libcairo2 1.12.2-2
ii libcairomm-1.0-1 1.10.0-1
ii libfontconfig1 2.9.0-7.1
ii libfreetype6 2.4.9-1.1
ii libgc1c2 1:7.1-9.1
ii libgcc1 1:4.7.2-4
ii libgconf-2-4 3.2.5-1+build1
ii libgdk-pixbuf2.0-0 2.26.1-1
ii libglib2.0-0 2.33.12+really2.32.4-3
ii libglibmm-2.4-1c2a 2.32.1-1
ii libgnomevfs2-0 1:2.24.4-1
ii libgomp1 4.7.2-4
ii libgsl0ldbl 1.15+dfsg.2-2
ii libgtk2.0-0 2.24.10-2
ii libgtkmm-2.4-1c2a 1:2.24.2-1
ii libgtkspell0 2.0.16-1
ii liblcms1 1.19.dfsg-1.2
ii libmagick++5 8:6.7.7.10-5
ii libmagickcore5 8:6.7.7.10-5
ii libpango1.0-0 1.30.0-1
ii libpangomm-1.4-1 2.28.4-1
ii libpng12-0 1.2.49-3
ii libpoppler-glib8 0.18.4-4
ii libpoppler19 0.18.4-4
ii libpopt0 1.16-7
ii libsigc++-2.0-0c2a 2.2.10-0.2
ii libstdc++6 4.7.2-4
ii libwpd-0.9-9 0.9.4-3
ii libwpg-0.2-2 0.2.1-1
ii libx11-6 2:1.5.0-1
ii libxml2 2.8.0+dfsg1-7
ii libxslt1.1 1.1.26-14
ii zlib1g 1:1.2.7.dfsg-13

Versions of packages inkscape recommends:
ii aspell 0.60.7~20110707-1
ii imagemagick 8:6.7.7.10-5
ii libwmf-bin 0.2.8.4-10.2
ii perlmagick 8:6.7.7.10-5
ii pstoedit 3.60-2+b1

Versions of packages inkscape suggests:
ii dia 0.97.2-8
ii libgnomevfs2-extra 1:2.24.4-1
pn libsvg-perl <none>
pn libxml-xql-perl <none>
ii python 2.7.3-3
pn python-lxml <none>
ii python-numpy 1:1.6.2-1
pn python-uniconvertor <none>
ii ruby1.8 [ruby] 1.8.7.358-6
pn skencil <none>

-- no debconf information

Message #10 received at <email address hidden> (full text, mbox, reply):

From: anarcat <email address hidden>
To: <email address hidden>
Subject: see also
Date: Sun, 31 Mar 2013 21:43:11 -0400
[Message part 1 (text/plain, inline)]
This bug was also noticed when loading the Debian logo itself here:

http://lists.debian.org/debian-devel/2013/01/msg00532.html

0.48.3.1-1.3 is said not to be affected there... But I have the same
problem as you with the file here:

https://upload.wikimedia.org/wikipedia/commons/c/c2/AdditiveColor.svg

A workaround that is suggested:

1) apt-get install libxml2-utils sgml-data
2) xmllint --noent openlogo.svg > openlogo-fixed.svg
(Yes it's "noent", not to be confused with "nonet".)
3) Optionally, remove the DTD declaration from the resulting file.

The last two steps can be combined as:

xmllint --dropdtd --noent openlogo.svg > openlogo-fixed.svg

This bug with the Debian logo was reported in #698872, where the package
python-scour was also suggested to cleanup namespaces...

So no fix, but a workaround, which I confirms fixes the problem for me
with the above image.

A.

--
Le Québec ne rêve plus de devenir une société modèle: voilà son
problème d'environnement.
                        - Pierre Dansereau (1911 - 2011)

CVE References

Changed in inkscape (Debian):
status: Unknown → New
su_v (suv-lp) wrote :

Known regression in Inkscape 0.48.4, fixed in 0.48.5.

On 2015-01-31 15:03 (+0100), Alex Valavanis wrote:
> 0.48.3.1-1.3 is said not to be affected there... But I have the same
> problem as you with the file here:

Since the regression was introduced by a security bug-fix for 0.48.4, AFAICT that fix was backported to the 0.48.3.1 debian packages:

> inkscape (0.48.3.1-1.2) unstable; urgency=low
>
> * Non-maintainer upload.
> * Add Debian patch to fix vulnerability CVE-2012-5656 (Closes: #696485).
>
<http://metadata.ftp-master.debian.org/changelogs//main/i/inkscape/inkscape_0.48.3.1-1.3_changelog>

Linking as duplicate to
- Bug #166371 “Illustrator CS SVG won't load: namespace URIs in entities”
  https://bugs.launchpad.net/inkscape/+bug/166371

Please add a comment and revert the duplicate status if you disagree and think this was done in error.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.